﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace OpenOnFocusAutoComplete
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void RadAutoCompleteBox_GotFocus(object sender, RoutedEventArgs e)
		{
			var autoComplete = (RadAutoCompleteBox)sender;
			string searchText = autoComplete.SearchText;
			if (autoComplete.SelectedItem != null)
			{
				searchText = BindingExpressionHelper.GetValue(autoComplete.SelectedItem, autoComplete.DisplayMemberPath).ToString();
			}
			autoComplete.Populate(searchText);
		}
	}
}
