﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;

namespace OpenOnFocusAutoComplete
{
	public class ViewModel : ViewModelBase
	{
		private List<Item> _Items;

		public ViewModel()
		{
			this.Items = new List<Item>();

			for (int i = 0; i < 500; i++)
			{
				this.Items.Add(new Item() { Id = i, Name = string.Format("{0} item", i) });
			}
		}

		public List<Item> Items
		{
			get
			{
				return this._Items;
			}
			set
			{
				if (value != this._Items)
				{
					this._Items = value;
					this.OnPropertyChanged(() => this.Items);
				}
			}
		}
	}
}
